diff -crN ./linc/src/linc-connection.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./linc/src/linc-connection.c
*** ./linc/src/linc-connection.c	Mon Dec  9 18:01:07 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./linc/src/linc-connection.c	Mon Feb 24 15:47:53 2003
***************
*** 279,286 ****
  	cnx->options       = options;
  	cnx->priv->fd      = fd;
  
! 	cnx->remote_host_info = remote_host_info;
! 	cnx->remote_serv_info = remote_serv_info;
  
  	d_printf ("Cnx from fd (%d) '%s', '%s', '%s'\n",
  		 fd, proto->name, 
--- 279,286 ----
  	cnx->options       = options;
  	cnx->priv->fd      = fd;
  
! 	cnx->remote_host_info = (guchar*)remote_host_info;
! 	cnx->remote_serv_info = (guchar*)remote_serv_info;
  
  	d_printf ("Cnx from fd (%d) '%s', '%s', '%s'\n",
  		 fd, proto->name, 
***************
*** 599,605 ****
  
  			if (n) {
  				qw->vecs->iov_len  -= n;
! 				qw->vecs->iov_base += n;
  			}
  		}
  	}
--- 599,605 ----
  
  			if (n) {
  				qw->vecs->iov_len  -= n;
! 				qw->vecs->iov_base = (void*)((int)qw->vecs->iov_base + n);
  			}
  		}
  	}
diff -crN ./linc/src/linc-debug.h /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./linc/src/linc-debug.h
*** ./linc/src/linc-debug.h	Wed Jun 19 17:59:19 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./linc/src/linc-debug.h	Fri Jun 28 17:44:40 2002
***************
*** 1,21 ****
  #ifndef _LINC_DEBUG_H
  #define _LINC_DEBUG_H
  
  /*
   * Enables debug on the Unix socket / connection
   */
  #undef CONNECTION_DEBUG
  
  #ifndef CONNECTION_DEBUG
!    static inline void d_printf (const char *format, ...) { };
  #  define STATE_NAME(s) ""
  #else
  #  include <stdio.h>
! #  define d_printf(format...) fprintf (stderr, format)
  #  define STATE_NAME(s) (((s) == LINC_CONNECTED) ? "Connected" : \
  			 ((s) == LINC_CONNECTING) ? "Connecting" : \
  			 ((s) == LINC_DISCONNECTED) ? "Disconnected" : \
  			 "Invalid state")
  #endif
  
  #endif /* _LINC_DEBUG_H */
--- 1,40 ----
  #ifndef _LINC_DEBUG_H
  #define _LINC_DEBUG_H
  
+ #include "config.h"
+ 
  /*
   * Enables debug on the Unix socket / connection
   */
  #undef CONNECTION_DEBUG
  
  #ifndef CONNECTION_DEBUG
! 
  #  define STATE_NAME(s) ""
+ 
+ static inline void d_printf (const char *format, ...) { }
+ 
  #else
+ 
  #  include <stdio.h>
! #  include <stdarg.h>
! 
  #  define STATE_NAME(s) (((s) == LINC_CONNECTED) ? "Connected" : \
  			 ((s) == LINC_CONNECTING) ? "Connecting" : \
  			 ((s) == LINC_DISCONNECTED) ? "Disconnected" : \
  			 "Invalid state")
+ 
+ static inline d_printf(format, ...)
+ {
+ 	va_list args;
+ 
+ 	va_start(args, format);
+ 
+ 	vfprintf (stderr, format, va_arg(args, char *);)
+ 
+ 	va_end(args);
+ };
+ 
  #endif
  
  #endif /* _LINC_DEBUG_H */
diff -crN ./linc/src/linc-protocols.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./linc/src/linc-protocols.c
*** ./linc/src/linc-protocols.c	Mon Dec  9 18:09:57 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./linc/src/linc-protocols.c	Tue Apr  8 13:28:43 2003
***************
*** 606,617 ****
   */
  #ifdef AF_INET6
  
- /* FIXME: is IN6ADDR_ANY_INIT exported on Mac OS X ? */
- /* on Mac OS X 10.1 inaddr6_any isn't exported by libc */
- #ifndef in6addr_any
- 	static const struct in6_addr in6addr_any = { { { 0 } } };
- #endif
- 
  static gboolean
  linc_protocol_get_sockinfo_ipv6 (const LINCProtocolInfo  *proto,
  				 const struct sockaddr   *saddr,
--- 606,611 ----
